# dmd.backend.obj

Compiler implementation of the D programming language.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: backend/`obj`.d

- `OmfObj_mangle`

  #### Declaration

  `nothrow size_t `OmfObj_mangle`(Symbol* `s`, char* `dest`);`

- `MsCoffObj_getsegment`

  #### Declaration

  `nothrow int `MsCoffObj_getsegment`(const(char)* `sectname`, uint `flags`);`

- `ElfObj_dosseg`

  #### Declaration

  `nothrow void `ElfObj_dosseg`();`

- `MachObj_dosseg`

  #### Declaration

  `nothrow void `MachObj_dosseg`();`

- `Obj`

  #### Declaration

  `class `Obj`;`

  Generic interface to the four object module file formats supported. Instead of using virtual functions (i.e. virtual dispatch) it uses static dispatch. Since config.objfmt never changes after initialization of the compiler, static branch prediction should make it faster than virtual dispatch.

  #### Discussion

  Making static dispatch work requires tediously repetitive boilerplate, which we accomplish via string mixins.